##
##  ziproxy.conf -- Ziproxy server configuration
##

#   daemon parameters
Port                          = 8080
Address                       = "127.0.0.1"
#OnlyFrom                     = "127.0.0.1"
BindOutgoing                  = { "127.0.0.1" }
LogFile                       = "@l_prefix@/var/ziproxy/ziproxy.log"
AccessLogFileName             = "@l_prefix@/var/ziproxy/access.log"
AccessLogUserPOV              = false

#   DNS parameters
#Nameservers                  = { "127.0.0.1", "10.0.0.1" }
#PreemptNameRes               = false
#PreemptNameResMax            = 50
#PreemptNameResBC             = true

#   proxy chaining
#NextProxy                    = "127.0.0.1"
#NextPort                     = 3128

#   network parameters
ConventionalProxy             = true
TransparentProxy              = false
AllowMethodCONNECT            = true
RestrictOutPortCONNECT        = { 443 }
#RestrictOutPortHTTP          = { 80, 8080 }
ZiproxyTimeout                = 90

#   HTTP parameters
UseContentLength              = false
OverrideAcceptEncoding        = true
#RedefineUserAgent            = "Mozilla/5.0 (compatible; UltraBrowser/8.1; CP/M; console40x24; z80)"

#   content compression
MaxUncompressedGzipRatio      = 2000
MinUncompressedGzipStreamEval = 250000
MaxUncompressedImageRatio     = 500

#   content processing
#URLNoProcessing              = "@l_prefix@/etc/ziproxy/ziproxy.noprocess.txt"
ProcessJPG                    = true
ProcessJP2                    = true
ProcessPNG                    = true
ProcessGIF                    = true
ProcessCSS                    = false
ProcessJS                     = false
ProcessHTML                   = true
ProcessHTML_CSS               = false
ProcessHTML_JS                = false
ProcessHTML_tags              = true
ProcessHTML_text              = true
ProcessHTML_PRE               = false
ProcessHTML_NoComments        = true
ProcessHTML_TEXTAREA          = true

#   gzip compression of "application/*" mime-type content
DecompressIncomingGzipData    = true
Gzip                          = true
Compressible                  = { "shockwave", "msword", "msexcel", "mspowerpoint", "rtf", "postscript",
                                "java", "javascript", "staroffice", "vnd.", "futuresplash",
                                "asp", "class", "font", "truetype-font", "php", "cgi", "executable",
                                "shellscript", "perl", "python", "awk", "dvi", "css",
                                "xhtml+xml", "rss+xml", "xml", "pdf", "tar" }

#   content handling
AllowLookChange               = false
ImageQuality                  = {30,25,25,20}
MaxSize                       = 1048576

